Subject: bug#30642: LibreOffice crashes with 'org.gtk.Settings.FileChooser' is not installed error

From: 45mg <[email-masked]>
Date: Wed, 22 Jan 2025 12:09:55 +0000

Hi all,

Though the bug is closed, I still faced this issue. Solution was to
explicitly install gtk+ along with libreoffice (ie. specify it in the
'packages' field of my home-environment declaration, in my case).

I'm not sure if this is expected or if there's any way to fix it. Just
wanted to share how I got it to work.

I should note that in order to run libreoffice even in a `guix shell`,
you need to specify gtk+, as well as coreutils and sed (for the
/bin/libreoffice startup script, I think) -

guix shell --pure coreutils sed libreoffice -- libreoffice